variables:
  LOGLEVEL: "INFO"

  DEV_KEYCLOAK_SERVER_URL: 'https://auth.dev.biosecuritycommons.org.au/auth'
  DEV_KEYCLOAK_REALM: 'biosecuritycommons-dev'
  DEV_KEYCLOAK_CLIENT_ID: 'function-deploy'
  DEV_KEYCLOAK_CLIENT_SECRET_KEY: SECURE

  TEST_KEYCLOAK_SERVER_URL: 'https://auth.test.biosecuritycommons.org.au/auth'
  TEST_KEYCLOAK_REALM: 'biosecuritycommons-stage'
  TEST_KEYCLOAK_CLIENT_ID: 'function-deploy'
  TEST_KEYCLOAK_CLIENT_SECRET_KEY: SECURE

  PROD_KEYCLOAK_SERVER_URL: 'https://auth.biosecuritycommons.org.au/auth'
  PROD_KEYCLOAK_REALM: 'biosecuritycommons-prod'
  PROD_KEYCLOAK_CLIENT_ID: 'function-deploy'
  PROD_KEYCLOAK_CLIENT_SECRET_KEY: SECURE

# Schemas

import schema test:
  extends: .import_schema
  variables:
    IMPORT_PATH: "src/docs/test/"

import schema helloworld:
  extends: .import_schema
  variables:
    IMPORT_PATH: "src/docs/helloworld/helloworld.schema.json"

# Templates

import tmpl test:
  extends: .import_tmpl
  variables:
    IMPORT_PATH: "workflow_templates/test.wftemplate.json"
    

# Generic handlers

.import_schema:
  extends: .import
  stage: import_schema
  variables:
    IMPORT_TYPE: "schema"
  rules:
    - if: '$CI_COMMIT_TAG != null'
      when: on_success
    - if: '$CI_COMMIT_MESSAGE =~ /#schema/'
      when: on_success
    - if: '$CI_COMMIT_BRANCH =~ /develop|master|main/ && $CI_COMMIT_MESSAGE !~ /#noschema/'
      # changes:
      #   - ".gitlab-ci-import.yml"
      #   - "src/docs/*"
      when: on_success
    - when: never

.import_tmpl:
  extends: .import
  stage: import_tmpl
  variables:
    IMPORT_TYPE: "template"
  rules:
    - if: '$CI_COMMIT_TAG != null'
      when: on_success
    - if: '$CI_COMMIT_MESSAGE =~ /#template/'
      when: on_success
    - if: '$CI_COMMIT_BRANCH =~ /develop|master|main/ && $CI_COMMIT_MESSAGE !~ /#notemplate/'
      # changes:
      #   - ".gitlab-ci-import.yml"
      #   - "src/docs/*"
      #   - "workflow_templates/*"
      when: on_success
    - when: never
